commit:     f52a46c0680fb6f1053a5b66a6edd1af6b1c312b
Author:     Alexey Sokolov <alexey+gentoo <AT> asokolov <DOT> org>
AuthorDate: Sat Dec 13 01:18:35 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Dec 24 17:14:28 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f52a46c0

games-roguelike/tome: add 2.4.0_p20251212

Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Part-of: https://github.com/gentoo/gentoo/pull/44964
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-roguelike/tome/Manifest                    |  1 +
 games-roguelike/tome/tome-2.4.0_p20251212.ebuild | 46 ++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/games-roguelike/tome/Manifest b/games-roguelike/tome/Manifest
index e2280c3e0f16..9b3035e58b97 100644
--- a/games-roguelike/tome/Manifest
+++ b/games-roguelike/tome/Manifest
@@ -1 +1,2 @@
 DIST tome-2.4.0_p20250227.tar.gz 2554393 BLAKE2B 
c919ad0b1d63a600b19bd2df02c826a9245b210817aae43b34ef8317d1ab67fecdfe9ede489b20f567329f03e121c5f8067ef251367b02888c5b20855f203fb8
 SHA512 
5a55bba7d5c8f200625c73851bd09b0d3cc253b963d20e86776d3f24c8374be779fc66918c3f81f88d035985c13fd9c8658abba444b888d987c8e3417cc16e6d
+DIST tome-2.4.0_p20251212.tar.gz 2397560 BLAKE2B 
609753f4b8d7648f565567ba6ae8288a3c55554377daf39a83b65a9021ae79bb40aea4c1d8eec1b32d58a0da686b44c7b97e4e8abe3031ec0bb142fee29db892
 SHA512 
d30f68896dfce7992526e462be607f18fd659138a0a211361aefcc1f7e8424230d92e451cc7c55c9a8a4dd8105cdb39461cc2c52782c688629cd43773987b783

diff --git a/games-roguelike/tome/tome-2.4.0_p20251212.ebuild 
b/games-roguelike/tome/tome-2.4.0_p20251212.ebuild
new file mode 100644
index 000000000000..26a90979481c
--- /dev/null
+++ b/games-roguelike/tome/tome-2.4.0_p20251212.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Fantasy adventure game, based on the works of J.R.R. Tolkien"
+HOMEPAGE="https://github.com/tome2/tome2";
+MY_COMMIT="8e2f6361e1a55b21e7abcf051e47a22761d41471"
+SRC_URI="https://github.com/tome2/tome2/archive/${MY_COMMIT}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/tome2-${MY_COMMIT}"
+
+LICENSE="Moria ToME2-theme"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X"
+
+RDEPEND="
+       dev-libs/boost:=
+       >=dev-libs/libfmt-12:=
+       sys-libs/ncurses:=
+       X? ( x11-libs/libX11 )
+"
+DEPEND="
+       ${RDEPEND}
+       <dev-cpp/jsoncons-1.5.0
+       dev-cpp/pcg-cpp
+"
+BDEPEND="virtual/pkgconfig"
+
+src_configure() {
+       local mycmakeargs=(
+               -DSYSTEM_INSTALL=yes
+               -DBUILD_SHARED_LIBS=no
+               -DCMAKE_DISABLE_FIND_PACKAGE_X11=$(usex !X)
+               -DCMAKE_DISABLE_FIND_PACKAGE_GTK2=yes
+               -DCPM_LOCAL_PACKAGES_ONLY=yes
+               -DUSE_SYSTEM_PCG_RANDOM=yes
+       )
+       cmake_src_configure
+}
+
+src_test() {
+       "${BUILD_DIR}"/src/harness || die
+}

Reply via email to